{ stdenv, fetchurl, bitwig-studio2, xorg, ... }:

bitwig-studio2.overrideAttrs (oldAttrs: rec {
  name = "bitwig-studio-${version}";
  version = "3.2";

  src = fetchurl {
    url =
      "https://downloads.bitwig.com/stable/${version}/bitwig-studio-${version}.deb";
    sha256 = "1gvj5bdavmy8486rm2hin65b37irncn7n0n1wk1fyivc3vz7mwsh";
  };

  buildInputs = bitwig-studio2.buildInputs ++ [ xorg.libXtst ];

  installPhase = ''
    ${oldAttrs.installPhase}

    # recover commercial jre
    rm -f $out/libexec/lib/jre
    cp -r opt/bitwig-studio/lib/jre $out/libexec/lib
  '';

})
