{ rustPlatform, fetchgit, stdenv, mosquitto, cmake, openssl, ... }:

rustPlatform.buildRustPackage rec {
  name = "light-${version}";
  version = "0.1.0";
  src = fetchgit {
    url = "https://git.ingolf-wagner.de/palo/light-control.git";
    rev = "0b5034e2d2cb4bdf1dc0bd7fd9c483ef0141e77a";
    sha256 = "06jr6bndk75c4f73mn0gfbb67z70anlm7lqib4dd8rbxpfd24ldl";
  };

  cargoSha256 = "1yzkbj36sx4vc8dsgcxahrvn33ci2ad1cpd1shcismw33k63rimh";
  #verifyCargoDeps = true;

  buildInputs = [ mosquitto openssl cmake ];

  meta = with stdenv.lib; {
    description = "light control over mqtt, with scenes and room tracking";
    homepage = "https://github.com/mrVanDalo/light-control";
    license = licenses.gpl3;
    maintainers = [ maintainers.mrVanDalo ];
    platforms = platforms.all;
  };
}
